/**
* The Society of Actuaries (SOA) makes this computer model and its computer
* code available to its members for educational purposes. The model and its
* code may be modified and redistributed without prior authorization from the
* SOA. The SOA distributes this computer model and its computer code in the
* hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
* implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
* PURPOSE.
*/ 

package resources;

import resources.Constants.AgentType;

/**
 * @author      Alan Mills
 * @version     1.0
 */
public class AgentID
{
//==============================================================================
// Variables
// These are variables used in the class. 
//------------------------------------------------------------------------------
    private AgentType agentType;
    private int agentNumber;
//==============================================================================

//==============================================================================
// Method:  AgentID() constructor
//------------------------------------------------------------------------------
    /**
     * @param pAgentType
     * @param pAgentNumber
     */
    public AgentID(AgentType pAgentType, int pAgentNumber)
    {
        setAgentType(pAgentType);
        setAgentNumber(pAgentNumber);
    }//end AgentID()
//==============================================================================

    
//==============================================================================
// Method:  getAgentIDString()
//------------------------------------------------------------------------------
    /**
     * Returns the agent's identifier as a string.
     *
     * @return the agent's identifier as a string.
     */
    public String getAgentIDString()
    {
        return (getAgentType().toString() + getAgentNumber());
    }//end getAgentIDString()
//==============================================================================


//==============================================================================
// Methods:  getter and setter methods
//------------------------------------------------------------------------------
    /**
     * Gets the agentType attribute.
     *
     * @return agentType
     */
    public AgentType getAgentType()
    {
        return agentType;
    }

    /**
     * Sets the agentType attribute.
     *
     * @param pAgentType
     */
    public void setAgentType(AgentType pAgentType)
    {
        agentType = pAgentType;
    }

    /**
     * Gets the agentNumber attribute.
     *
     * @return agentNumber
     */
    public int getAgentNumber()
    {
        return agentNumber;
    }

    /**
     * Sets the agentNumber attribute.
     *
     * @param pAgentNumber
     */
    public void setAgentNumber(int pAgentNumber)
    {
        agentNumber = pAgentNumber;
    }

//==============================================================================
    
}//end AgentID class
