/**
* The Society of Actuaries (SOA) makes this computer model and its computer
* code available to its members for educational purposes. The model and its
* code may be modified and redistributed without prior authorization from the
* SOA. The SOA distributes this computer model and its computer code in the
* hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
* implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
* PURPOSE.
*/

package resources;

import resources.Constants.GoalDescription;

public class GoalParameter
{
//==============================================================================
// Variables used in this class
//------------------------------------------------------------------------------
    private GoalDescription goalDescription;
    private double goalProbability;
//==============================================================================
        
//==============================================================================
// Method:  GoalParameter() constructor
//------------------------------------------------------------------------------
    /**
     * @param pGoalDescription
     * @param pGoalProbability
     */
    public GoalParameter(GoalDescription pGoalDescription, double pGoalProbability)
    {
        setGoalDescription(pGoalDescription);
        setGoalProbability(pGoalProbability);
    }//end GoalParameter()
//==============================================================================
        
//==============================================================================
// Methods:  getter and setter methods
//------------------------------------------------------------------------------
    /**
     * Gets the goal description.
     *
     * @return GoalDescription
     */
    public GoalDescription getGoalDescription()
    {
        return goalDescription;
    }

    /**
     * Sets the goalDescription attribute.
     *
     * @param pGoalDescription
     */
    public void setGoalDescription(GoalDescription pGoalDescription)
    {
        goalDescription = pGoalDescription;
    }

    /**
     * Gets the goalProbability attribute.
     *
     * @return goalProbability
     */
    public double getGoalProbability()
    {
        return goalProbability;
    }

    /**
     * Sets the goalProbability attribute.
     *
     * @param goalProbability
     */
    public void setGoalProbability(double pGoalProbability)
    {
        goalProbability = pGoalProbability;
    }
    
//==============================================================================

}//end GoalParameter class
